Bug 466279 - libcanberra makes noise when it isn't configured and can't be unconfigured
libcanberra makes noise when it isn't configured and can't be unconfigured
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
Reported: 2008-10-09 11:10 EDT by Matthew Miller
Modified: 2009-09-14 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-10 11:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2008-10-09 11:10:03 EDT
Description of problem:

Suddenly, my XFCE desktop started making what I find to be obtrusive sounds whenever I do anything (like have a popup window).

It appears that libcanberra is what's doing it. Unfortunately, XFCE doesn't know about this and its settings manager is missing the appropriate control settings.

Removing libcanberra is impossible since it is a dependency of many vital programs.

A temporary workaround is to edit or remove /etc/X11/xinit/xinitrc.d/libcanberra-gtk-module.sh, but since that isn't meant to be a config file it's overwritten on upgrade. Plus, that's a big, system-wide hammer — maybe someone else *does* want the sounds.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install XFCE and libcanberra.
2. Do something.
3. Listen.
Actual results:


Expected results:


Additional info:

It's reasonable that future XFCE should support the sound scheme spec. However, in absence of configuration, the default should be off, not on.

I've filed an upstream bug at http://bugzilla.xfce.org/show_bug.cgi?id=4367, but that only addresses the future, not the present.
Comment 1 John Poelstra 2008-10-09 18:16:37 EDT
adding desktop tracker... not sure if they track XFCE

This bug has been triaged
Comment 2 Matthias Clasen 2008-10-10 00:10:31 EDT
/etc/X11/xinit/xinitrc.d/libcanberra-gtk-module.sh will be gone in F10 final.
Instead we are going to use the gtk-modules xsetting.
Comment 3 Matthew Miller 2008-10-10 07:17:12 EDT
So does that mean the workaround won't work, or is there a new one? Or does it mean that there's a way to configure that in XFCE? (I've never seen one, but I'm sure I haven't seen everything.)
Comment 4 Matthias Clasen 2008-10-10 10:29:45 EDT
It means that the workaround won't be necessary anymore, since xcfe will not have a gtk-modules xsetting including the libcanberra-gtk module, so it won't be loaded, so it can't make noise.
Comment 5 Matthew Miller 2008-10-10 10:35:10 EDT
That sounds (um, no pun intended) good. Thanks. Should that hit rawhide sometime soon?
Comment 6 Lennart Poettering 2008-10-10 11:43:50 EDT
Fixed in 0.10-2.

Note You need to log in before you can comment on or make changes to this bug.